import { SearchFilters } from '@app/domain/search/search-filters';
import { WritableSignal } from '@angular/core';

export interface SearchRepository {
  search(query: string): void;
  sortBy(value: string): void;
  filterByProfileVerified(): void;
  filterBySecteur(secteur: string): void;
  filterByProfession(profession: string): void;
  reset(): void;
  getFilters(): WritableSignal<SearchFilters>;
  setFilters(filters: SearchFilters): void;
}
